Registering Subaccounts

If you are a B2C app or a Payment Processor, you must register subaccounts for each end-user/merchant who will process crypto transactions with Beta.

Create a New Subaccount

POST https://live.betaapp.com/v1/subaccount

Register a subaccount for a user.

Headers

Name
Type
Description

Authorization*

String

Bearer {access_token}

accept*

String

application/json

Request Body

Name
Type
Description

tax_id_number*

Number

Number of the tax ID

tax_id_type*

String

For Brasil: CPF or CNPJ For Mexico: RFC

For Argentina: CUIT

For Colombia: NIT

e-mail*

String

User's e-mail

Full name*

String

User's full name

country*

String

Check coverage page for more details. Follow ISO 3166

local_id_type

String

Passport, National ID, Driver's License, Foreigner ID Card

local_id_number*

String

Document information

post_code

String

User's postal code

city

String

User's city

address

String

User's address

phone

String

Phone number with country code

{
  "message": "string"
  "subaccount_id": "uuid"
}

Request Example:

curl -X 'POST' \
  'https://live.betaapp.com/v1/subaccount' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6InJlaEF1NURPY...ctfx2I4g' \
  -H 'Content-Type: application/json' \
  -d '{
  "address": "Rua Francisco Rocha 198",
  "city": "Curitiba",
  "country": "Brazil",
  "email": "[email protected]",
  "local_id_number": "99999999",
  "local_id_type": "National ID",
  "name": "Testing Beta Ramps",
  "phone": "5541111111111",
  "post_code": "80420130",
  "tax_id_number": "77777777777",
  "tax_id_type": "CPF"
}'

Check our supported countries guidelines for more instructions on the accepted inputs for the subaccount fields.

Response Example:

{
  "id": "fe2f30db...5b5e7c",
  "account_id": "a2b6b539...484097",
  "name": "Testing Beta Ramps",
  "email": "[email protected]",
  "is_active": true,
  "country": "Brazil",
  "city": "Curitiba",
  "address": "Rua Francisco Rocha 198",
  "tax_id_type": "CPF",
  "tax_id_number": "77777777777",
  "local_id_type": "Driver's License",
  "local_id_number": "99999999",
  "phone": "5541111111111",
  "post_code": "80420130"
}

Retrieve Sub Account Detail

GET https://live.betaapp.com/v1/subaccount

Retrieve subaccount information

Headers

Name
Type
Description

Authorization*

String

Bearer {access_token}

accept*

String

application/json

x-sub-account-id*

String

Subaccount ID

[
  {
    "account_type_id": "string",
    "account_type_name": "string",
    "address": "string",
    "city": "string",
    "country": "string",
    "created_at": "string",
    "deleted_at": "string",
    "id": "string",
    "is_active": true,
    "local_id_number": "string",
    "local_id_type": "string",
    "message": "string",
    "name": "string",
    "post_code": "string",
    "tax_id_number": "string",
    "tax_id_type": "string",
    "updated_at": "string"
  }
]

Request Example:

curl -X 'GET' \
  'https://live.betaapp.com/v1/subaccount' \
  -H 'accept: application/json' \
  -H 'X-sub-account-id: fe2f30db...5b5e7c' \
  -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6InJlaEF1NURPY...ctfx2I4g' \

Response Example:

{
  "id": "fe2f30db...5b5e7c",
  "account_id": "a2b6b539...484097",
  "name": "Testing Beta Ramps",
  "email": "[email protected]",
  "is_active": true,
  "country": "Brazil",
  "city": "Curitiba",
  "address": "Rua Francisco Rocha 198",
  "tax_id_type": "CPF",
  "tax_id_number": "77777777777",
  "local_id_type": "Local ID",
  "local_id_number": "99999999",
  "phone": "5541111111111",
  "post_code": "80420130"
}

Retrieve Sub-account List

GET https://live.betaapp.com/v1/subaccounts

Retrieve a list of all your subaccounts

Query Parameters

Name
Type
Description

page

Integer

Page number of your query

size

Integer

Number of items per page

Headers

Name
Type
Description

Authorization*

String

Bearer {access_token}

accept*

String

application/json

[
  {
    "account_type_id": "string",
    "account_type_name": "string",
    "address": "string",
    "city": "string",
    "country": "string",
    "created_at": "string",
    "deleted_at": "string",
    "id": "string",
    "is_active": true,
    "local_id_number": "string",
    "local_id_type": "string",
    "message": "string",
    "name": "string",
    "post_code": "string",
    "tax_id_number": "string",
    "tax_id_type": "string",
    "updated_at": "string"
  }
]

Request Example:

curl -X 'GET' \
  'https://live.betaapp.com/v1/subaccounts' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6InJlaEF1NURPY...ctfx2I4g'

Response Example:

{
  "list": [
    {
      "id": "fe2f30db...d5b5e7c",
      "account_id": "a2b6b539...99484097",
      "name": "Testing Beta Ramps",
      "email": "[email protected]",
      "is_active": true,
      "country": "Brazil",
      "city": "Curitiba",
      "address": "Rua Francisco Rocha 198",
      "tax_id_type": "CPF",
      "tax_id_number": "77777777777",
      "local_id_type": "Local ID",
      "local_id_number": "99999999",
      "phone": "5541111111111",
      "post_code": "80420130"
    }
  ]
}

Update an User

PATCH https://live.betaapp.com/v1/subaccount

Update subaccount details

Headers

Name
Type
Description

Authorization*

String

Bearer {access_token}

accept*

String

application/json

Request Body

Name
Type
Description

e-mail*

String

User's e-mail

x-sub-account-id*

String

Subaccount ID

{
  "message": "string"
}

Last updated